JavaSVN Home

## org.tmatesoft.svn.core.io.diff
Interface ISVNRAData

All Known Implementing Classes:
  SVNRAFileData

Deprecated. see `SVNDeltaGenerator`

public interface ISVNRAData

The ISVNRAData interface represents data storage that supports random access reading from and writing to it. Used to provide random access to files and buffers upon which delta is generated.

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNRAFileData`, `ISVNDeltaGenerator`

Method Summary
`void` `append(InputStream source, long length)` Deprecated. Writes a number of the source bytes to the end of this data storage.
`void` `close()` Deprecated. Closes this RA data storage and releases any system resources associated with this storage.
`long` `lastModified()` Deprecated. Returns the time that this data storage was last modified.
`long` `length()` Deprecated. Returns the length in bytes of this data storage.
`InputStream` `read(long offset, long length)` Deprecated. Reads a number of bytes from the given position in this data storage.
`InputStream` `readAll()` Deprecated. Reads the entire contents of this data storage.

Method Detail

### readAll

    public InputStream readAll()
                        throws SVNException

  Deprecated.
  Reads the entire contents of this data storage.

  Returns:
    an input stream to read the entire contents
  Throws:
    `SVNException`

### read

    public InputStream read(long offset,
                            long length)
                     throws SVNException

  Deprecated.
  Reads a number of bytes from the given position in this data storage.

  Parameters:
    `offset` - an offset in the storage to read from
    `length` - a number of bytes to read
  Returns:
    an input stream to read the bytes
  Throws:
    `SVNException`

### append

    public void append(InputStream source,
                       long length)
                throws SVNException

  Deprecated.
  Writes a number of the source bytes to the end of this data storage.

  Parameters:
    `source` - a source input stream to read bytes
    `length` - a number of bytes to read from `source` and append to this data storage
  Throws:
    `SVNException`

### length

    public long length()

  Deprecated.
  Returns the length in bytes of this data storage.

  Returns:
    the length of this storage

### lastModified

    public long lastModified()

  Deprecated.
  Returns the time that this data storage was last modified.

  Returns:
    A long value representing the time the file was last modified, measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970), or 0L if the file does not exist or if an I/O error occurs

### close

    public void close()
               throws IOException

  Deprecated.
  Closes this RA data storage and releases any system resources associated with this storage. After closing this data storage you can not perform any i/o operations.

  Throws:
    `IOException` - if an i/o error occurred

JavaSVN Home

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.